(*^

::[paletteColors = 128; automaticGrouping; magnification = 150; currentKernel; 
	fontset = title, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e8,  24, "Times"; ;
	fontset = subtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e6,  18, "Times"; ;
	fontset = subsubtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, L1, e6,  14, "Times"; ;
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, L1, a20,  18, "Times"; ;
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, L1, a15,  14, "Times"; ;
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, L1, a12,  12, "Times"; ;
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = input, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L1,  12, "Courier"; ;
	fontset = output, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; ;
	fontset = message, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = print, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = info, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287, L1,  12, "Courier"; ;
	fontset = name, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic, L1,  10, "Times"; ;
	fontset = header, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = Left Header, nohscroll, cellOutline,  12;
	fontset = footer, inactive, nohscroll, noKeepOnOnePage, preserveAspect, center, M7, L1,  12;
	fontset = Left Footer, cellOutline, blackBox,  12;
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12, "Courier"; ;
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	next21StandardFontEncoding; ]
:[font = title; inactive; preserveAspect; startGroup; ]
Choice
:[font = subsubtitle; inactive; preserveAspect; ]
Hal Varian
January 1992
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Slutsky equation
:[font = text; inactive; preserveAspect; ]
Let's check the Slutsky equation for the CES demand functions when rho=-1.  First we'll calculate the CES demands, etc.
;[s]
3:0,0;67,1;73,2;120,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Times,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
u[x1_,x2_] := 1/x1 + 1/x2
:[font = input; preserveAspect; ]
L= u[x1,x2] - lambda*(p1 x1 + p2 x2 - m)
:[font = input; preserveAspect; ]
firstOrder=Evaluate[{D[L,x1]==0,D[L,x2]==0,D[L,lambda]==0}]
:[font = text; inactive; preserveAspect; ]
Alas, Mathematica cannot solve this system directly.  However, we can use the same trick that we used before.  We define two auxillary variables, y1 and y2, and then solve the entire system of equations.
;[s]
7:0,0;6,1;17,2;146,3;148,4;153,5;155,6;204,-1;
7:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
firstOrder=Union[firstOrder/.{x1^(-2)->y1^2,x2^(-2)->y2^2},
{y1==1/x1,y2==1/x2}]
solution=Solve[firstOrder,{lambda,x1,x2,y1,y2}][[1]]
x1[p1_,p2_,m_]:=Simplify[x1/.solution]
x1[p1,p2,m]
x2[p1_,p2_,m_] := Simplify[x2/.solution]
x2[p1,p2,m]
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Indirect utility and expenditure
:[font = text; inactive; preserveAspect; ]
Here's the indirect utility function:
:[font = input; preserveAspect; ]
v[p1_,p2_,m] := Simplify[u[x1,x2]/.solution]
v[p1,p2,m]
:[font = text; inactive; preserveAspect; ]
To solve for the expenditure function, solve for income as a function of utility:
:[font = input; preserveAspect; endGroup; ]
solution2=Solve[v[p1,p2,m]==u,m][[1]]
e[p1_,p2_,m_] := m/.solution2
e[p1,p2,m]
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Hicksian demands and Slutsky equation
:[font = text; inactive; preserveAspect; ]
The Hicksian demand function  for good 1will be the derivative of this expenditure function with respect to p1.  We'll evaluate it at u=v[p1,p2,m]:
:[font = input; preserveAspect; ]
h[p1_,p2_,u_] := D[e[p1,p2,m],p1]
:[font = input; preserveAspect; ]
slopeOfHicksianDemand=
  Simplify[D[h[p1,p2,u],p1]/.{u->v[p1,p2,m]}]
:[font = text; inactive; preserveAspect; ]
We want to compare this to the Slutsky equation:
:[font = input; preserveAspect; ]
slutskyTerm=Simplify[D[x1[p1,p2,m],p1] + 
               D[x1[p1,p2,m],m]*x1[p1,p2,m]]
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
Slutsky wins again...
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Integrability
:[font = text; inactive; preserveAspect; ]
Here we'll solve the integrability equations for the linear demand function:
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Linear demand
:[font = input; preserveAspect; ]
x[p_,m_] := a p + b m + c
:[font = text; inactive; preserveAspect; ]
Mathematica wants the integrability eqation and the boundary condition in order to solve for mu. 
;[s]
5:0,0;11,1;93,2;95,3;96,4;97,-1;
5:1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;
:[font = input; preserveAspect; ]
solution=DSolve[{mu'[p]==a p + b mu[p] + c,mu[q]==m},
         mu[p],p][[1]]
:[font = text; inactive; preserveAspect; ]
Here's the standard form for the money metric utility function
:[font = input; preserveAspect; ]
mm[p_,q_,m_] := mu[p]/.solution
mm[p,q,m]
:[font = text; inactive; preserveAspect; ]
Let's see if we can figure out what the indifference curves for this indirect utility function looks like.  There are several ways to do this; one way is to solve for the Hicksian demands.  We'll put the parameters into the utility function since we want to see how the indifference cruve changes as these parameters change.
:[font = input; preserveAspect; ]
h1[p_,q_,m_,a_,b_,c_] := 
      Evaluate[x[p,income]/.{income->mm[p,q,m]}]
h1[p,q,m,a,b,c]
:[font = text; inactive; preserveAspect; ]
This is one Hicksian demand; the other one comes from the budget constraint:
:[font = input; preserveAspect; ]
h2[p_,q_,m_,a_,b_,c_] := Evaluate[(income - 
                         p x[p,income])/.{income->mm[p,q,m]}]
h2[p,q,m,a,b,c]
:[font = text; inactive; preserveAspect; ]
Now we'll fix q and m, so that utility is held fixed,  pick some values for (a,b,c) and then plot these functions as p varies.
;[s]
9:0,0;14,1;15,2;20,3;21,4;76,5;83,6;117,7;118,8;127,-1;
9:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
hh1[p_] := Simplify[Evaluate[h1[p,1,10,-10,1,1]]]
hh2[p_] := Simplify[Evaluate[h2[p,1,10,-10,1,1]]]
:[font = input; preserveAspect; ]
Simplify[{hh1[p],hh2[p]}]
:[font = input; preserveAspect; ]
ParametricPlot[{hh1[p],hh2[p]},{p,0,1.5},AxesOrigin->{0,0},
  PlotRange->{0,12},AspectRatio->1]
:[font = text; inactive; preserveAspect; endGroup; ]
Note that the indifference curve crosses the vertical axis.  This makes no  economic sense; it is a good warning to be careful in calculating welfare conclusions using this linear demand function.
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Log-Linear demand
:[font = text; inactive; preserveAspect; ]
Suppose that demand takes the form
:[font = input; preserveAspect; ]
x[p_,m_] := p^a m^b E^c
:[font = text; inactive; preserveAspect; ]
We estimate the demand function and find that a=-0.2, b=1.2, and c=0.0.   Initially, the consumer faces prices p=2 and has income of 1.  If the price rises to p=3, how much income would the consumer need to make her as well off as she was before the price increase?

We'll answer this question using integrability.  Before the price change, e[2,u]=1.  We want to know what e[3,u] equals.  First we find a numerical solution to the integrability equation.
;[s]
11:0,0;46,1;71,2;111,3;114,4;159,5;162,6;340,7;349,8;373,9;379,10;455,-1;
11:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
a=-0.2
b=1.2
c=0.0
dsolution=
  NDSolve[{e'[p]==(p^a)* (e[p]^b), e[2]==1},e,{p,1,4}]
:[font = text; inactive; preserveAspect; ]
We can plot the function e[p] that Mathematica found for us as follows.  Note that e[2]=1, as required by the boundary condition.
;[s]
5:0,0;35,1;46,2;83,3;89,4;130,-1;
5:1,11,8,Times,0,12,0,0,0;1,10,8,Times,3,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
Plot[Evaluate[e[p]/.dsolution],{p,1,4}]
:[font = text; inactive; preserveAspect; ]
To find the value of e[3,u], just substitute 3 into e:
;[s]
6:0,0;20,1;27,2;45,3;46,4;52,5;54,-1;
6:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;
:[font = input; preserveAspect; endGroup; endGroup; ]
e[3]/.dsolution
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Solving for the direct utility function
:[font = text; inactive; preserveAspect; ]
Given a normalized indirect utility function, we can find the direct utility function just by solving a minimization problem.  Let's try the Cobb-Douglas case.
:[font = input; preserveAspect; endGroup; endGroup; ]
L = p1*p2 - lambda*(p1 x1 + p2 x2 - 1)
solution=Solve[{D[L,p1]==0,D[L,p2]==0,D[L,lambda]==0},
         {p1,p2,lambda}][[1]]
u[x1_,x2_] := p1*p2 /.solution
u[x1,x2]
^*)